# Interface TilesetHeader

interface TilesetHeader {
asset: {
gltfUpAxis?: "Y" | "Z";
overview?: {
imageFile: string;
imageHeight: number;
imageWidth: number;
worldFile: string;
};
tilesetVersion?: string;
trajectories?: { list: TrajectoryHeader[]; version: string };
version: string;
[key: string]: any;
};
geometricError: number;
properties?: { floorInfo?: { ground: number; height: number }[] };
root: TileHeader;
rootMeta?: {
coordinate?: {
base_keyframe: number;
base_trajectory: number;
coordinate_system: string;
ground_height: number;
lon_lat_alt: [number, number, number];
pose_ecef_to_enu: number[];
pose_enu_to_ecef: number[];
version: number;
};
creationTime?: string;
numFloors?: number;
numTotalPoints?: number;
numTrajectories?: number;
pntsOrder?: "RANDOM"
| "UNSORTED";
taskParameters?: {
homo_point_density?: string;
point_homogenization?: string;
};
upAxis?: string;
};
tilesetUrl: string;
}

- Defined in lib/five/model/tile3d/header.ts:29

##### Index

### Properties

asset
geometricError
properties?
root
rootMeta?
tilesetUrl

## Properties

### asset

asset: {
gltfUpAxis?: "Y" | "Z";
overview?: {
imageFile: string;
imageHeight: number;
imageWidth: number;
worldFile: string;
};
tilesetVersion?: string;
trajectories?: { list: TrajectoryHeader[]; version: string };
version: string;
[key: string]: any;
}

#### Type Declaration

- ##### [key: string]: any

- ##### `Optional` gltfUpAxis?: "Y" | "Z"

- ##### `Optional` overview?: {
  imageFile: string;
  imageHeight: number;
  imageWidth: number;
  worldFile: string;
  }

  俯视图

- ##### `Optional` tilesetVersion?: string

- ##### `Optional` trajectories?: { list: TrajectoryHeader[]; version: string }

  轨迹数据

- ##### version: string

- Defined in lib/five/model/tile3d/header.ts:31

### geometricError

geometricError: number

- Defined in lib/five/model/tile3d/header.ts:59

### `Optional` properties

properties?: { floorInfo?: { ground: number; height: number }[] }

#### Deprecated

老数据，记录层高。现在记录在 tile 的 extra 中

- Defined in lib/five/model/tile3d/header.ts:53

### root

root: TileHeader

- Defined in lib/five/model/tile3d/header.ts:60

### `Optional` rootMeta

rootMeta?: {
coordinate?: {
base_keyframe: number;
base_trajectory: number;
coordinate_system: string;
ground_height: number;
lon_lat_alt: [number, number, number];
pose_ecef_to_enu: number[];
pose_enu_to_ecef: number[];
version: number;
};
creationTime?: string;
numFloors?: number;
numTotalPoints?: number;
numTrajectories?: number;
pntsOrder?: "RANDOM"
| "UNSORTED";
taskParameters?: {
homo_point_density?: string;
point_homogenization?: string;
};
upAxis?: string;
}

#### Type Declaration

- ##### `Optional` coordinate?: {
  base_keyframe: number;
  base_trajectory: number;
  coordinate_system: string;
  ground_height: number;
  lon_lat_alt: [number, number, number];
  pose_ecef_to_enu: number[];
  pose_enu_to_ecef: number[];
  version: number;
  }

  坐标参数

- ##### `Optional` creationTime?: string

  创建时间

- ##### `Optional` numFloors?: number

  楼层数

- ##### `Optional` numTotalPoints?: number

  点云的点数量

- ##### `Optional` numTrajectories?: number

  采集轨迹数量

- ##### `Optional` pntsOrder?: "RANDOM" | "UNSORTED"

  点云的 pnts 数据的排序规则

- ##### `Optional` taskParameters?: { homo_point_density?: string; point_homogenization?: string }

  任务触发参数

  - ##### `Optional` homo_point_density?: string

    是否跑点云均匀化参数 "数字" 的字符串

  - ##### `Optional` point_homogenization?: string

    是否跑点云均匀化 "0" "1" 的字符串

- ##### `Optional` upAxis?: string

  天轴 X Y Z

- Defined in lib/five/model/tile3d/header.ts:61

### tilesetUrl

tilesetUrl: string

- Defined in lib/five/model/tile3d/header.ts:30